<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [getFragment](./bitburner.stanek.getfragment.md)

## Stanek.getFragment() method

Get placed fragment at location.

<b>Signature:</b>

```typescript
getFragment(rootX: number, rootY: number): ActiveFragment | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootX | number | X against which to align the top left of the fragment. |
|  rootY | number | Y against which to align the top left of the fragment. |

<b>Returns:</b>

[ActiveFragment](./bitburner.activefragment.md) \| undefined

The fragment at \[rootX, rootY\], if any.

## Remarks

RAM cost: 5 GB

